Subject: [PATCH 00/20] ARM: dts: Add USB and OTG related nodes and enable on various boards

From: [email-masked] (Hans de Goede)
Date: Fri, 12 Jun 2015 15:27:28 +0200

Hi,

On 10-06-15 15:27, Hans de Goede wrote:
> Hi,
>
> On 08-06-15 12:03, Maxime Ripard wrote:
>> Hi Hans,
>>
>> On Fri, Jun 05, 2015 at 09:02:03PM +0200, Hans de Goede wrote:
>>> Hi Maxime,
>>>
>>> Here is a patch-set with all the otg / sun8i-usb-host related dts patches
>>> I've accumulated.
>>>
>>> These are intended for 4.3, and go hand in hand with the outstanding
>>> musb-sunxi / phy-sun4i-usb patches, which I expect to be merged as is
>>> for 4.3 .
>>
>> I'm fine with these patches. Do you have a branch somewhere that I can
>> pull (without the one that you wanted me to drop, obviously)?
>
> I've just created a branch with just these patches directly on top
> of sunxi/for-next for you:
>
> https://github.com/jwrdegoede/linux-sunxi/commits/otg-dts-for-maxime

Please ignore this for now. There have been some changes to the extcon
framework, making it more integrated with devicetree, this means I need
to add an extcon property to the musb nodes in devicetree:

--- a/Documentation/devicetree/bindings/usb/allwinner,sun4i-a10-musb.txt
+++ b/Documentation/devicetree/bindings/usb/allwinner,sun4i-a10-musb.txt
@@ -12,6 +12,7 @@ Required properties:
   - phys            : phy specifier for the otg phy
   - phy-names       : must be "usb"
   - dr_mode         : Dual-Role mode must be "host" or "otg"
+ - extcon          : extcon specifier for the otg phy

  Example:

@@ -23,5 +24,6 @@ Example:
                 interrupt-names = "mc";
                 phys = <&usbphy 0>;
                 phy-names = "usb";
+         extcon = <&usbphy 0>;
                 status = "disabled";
         };

--- a/arch/arm/boot/dts/sun7i-a20.dtsi
+++ b/arch/arm/boot/dts/sun7i-a20.dtsi
@@ -773,6 +773,7 @@
                         interrupt-names = "mc";
                         phys = <&usbphy 0>;
                         phy-names = "usb";
+                 extcon = <&usbphy 0>;
                         allwinner,sram = <&otg_sram 1>;
                         status = "disabled";
                 };

I'll push a new version of the patches to otg-dts-for-maxime
with the extcon property added for you and ping you when it is
ready.

> While preparing this branch I noticed that the dts for
> the ippo q8h a33 tablets is not yet merged:
>
> http://www.spinics.net/lists/devicetree/msg82149.html
>
> You suggested to use the DT quirks interface instead of creating
> a separate dts for each board variant, and in the end I agreed,
> and asked you to merge it renamed to a more generic name
> without the lcd1024x600 bit in there.
>
> I can make it more generic and resend it myself. Do you want me
> to squash in the otg changes when I resend it, or shall I keep
> those separate ?

And about this one: ping ?

Thanks & Regards,

Hans